%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Name: 		gnome2-user-docs
Version: 	2.4.0
Release: 	1
Summary: 	The Gnome user docs
Copyright: 	LGPL
Group: 		X11/Gnome/Documentation
BuildRoot: 	%{_topdir}/BUILDROOT/%{name}-%{version}
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2

Patch0:		gnome2-user-docs-2.4.0-autotools.patch


Prereq:   scrollkeeper >= 0.3.12
Obsoletes: gnome-user-docs

%description
Gnome user documentation.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnome2-user-docs-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
PATH=%{_bindir}:$PATH XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook \
make DESTDIR=%{buildroot} install-strip

%post 
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun 
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%files
%defattr(-, root, system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome/help/*
%{_datadir}/omf/*

